.\" Copyright (C) 1997 WIDE Project.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"    This product includes software developed by WIDE Project and
.\"    its contributors.
.\" 4. Neither the name of the project nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\" 
.\" THIS SOFTWARE IS PROVIDED BY THE PROJECT AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE PROJECT OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\" 
.\"	$Id: mgp.man,v 1.26 1997/12/24 05:19:26 itojun Exp $
.\"
.Dd November 1997
.Dt MGP 1
.Os
.Sh NAME
.Nm mgp
.Nd MagicPoint -- an X11 based presentation tool
.Sh SYNOPSIS
.Nm mgp
.Op Fl dhloqBVG
.Op Fl b Ar bgcolor
.Op Fl f Ar vfont
.Op Fl g Ar geometry
.Op Fl p Ar page
.Op Fl t Ar timeslot
.Op Fl v Ar vfcap
.Ar file
.Sh DESCRIPTION
.Nm mgp 
is an X11 based presentation tool.
Its source file, whose suffix is typically 
.Nm .mgp , 
is line-based.
.Pp
The file consists of text that appear on the page, and
control commands such as pagebreak, centering, or inline image.
Control commands will be described on lines starting with
.Nm %
sign.
You can paste numerous kinds of format of image 
files onto the presentation file,
as inline images.
.Pp
.Nm mgp
uses the outline font library "VFlib" as the font rendering engine.
.Nm mgp
is thus able to display Japanese/English font in any size.
.Pp
The following options are available:
.Bl -tag -width indent
.It Fl d
Display a startup demonstration page before presenting
.Ar file .
.It Fl v
Display version and exit without performing presentation.
.It Fl h
Display usage and exit without performing presentation.
.It Fl l
There are two kind of fonts available by VFlib;
They are outline font and bitmap font.
By specifying
.Fl l ,
you can disable the use of outline fonts.
.It Fl o
Do not override window manager.
(by default, 
.Nm mgp
overrides window manager and occupies the whole display)
.It Fl q
Do not beep on errors.
.It Fl B
Omit background image.
.It Fl V
Be verbose.
Generate debugging output to standard output.
.It Fl G
specifies to turn on page guide function.
At the bottom of the screen, the titles of next page and previous page are
displayed to assist the presentation.
Page guide can be turned on and off by keyboard too.
.It Fl b Ar bgcolor
Set background color to
.Ar bgcolor .
(default is black)
.It Fl f Ar vfont
Specify the font name to be used by VFlib.
(default is minsl)
.It Fl g Ar geometry
Set the size and location of the window.
.It Fl p Ar page
Start presentation from
.Ar page ,
rather than the first page.
.It Fl c Ar vfcap
Specify VFlib configuration file.
.It Fl t Ar timeslot
Specify the timeslot assigned to the presentation in minute.
The timer is invoked when the second page is displayed and the remaining
presentation time is indicated by the length of bar shown at the bottom of
the display. The timebar is updated when the page is updated.
Timebar will be green if you have more than 50% of the timeslot,
yellow while you have more than 30% of the timeslot,
and red for the other cases.
When the assigned timeslot is expired, exceeding time is also shown as 
a timebar growing from left to right.
Current page is indicated by the position of a small vertical bar; the vertical
bar is drawn at the leftend when the first page is displayed while the
bar is drawn at the rightend when the last page is displayed.

.El
.Sh KEY OPERATION
The keyboard/mouse commands are:
.Bl -tag -width -diag indent
.It mouse button 1 (leftmost button)
Go forward a page.
Space key, downward cursor key, "f" key, "j" key,
and "n" key have the same effect.
If <number> is specified, go forward <number> pages.
.It mouse button 3 (rightmost button)
Go to the previous page.
"b" key, "k" key, "p" key, backspace key and upward cursor
key have the same effect.
If <number> is specified, go back <number> pages.
.It 0 - 9 (number buttons)
Set prefix number in decimal.
i.e. <number> = <number> * 10 + <keyN> - <key0>.
For example, by typing in "10g" you can jump to page 10.
.It g
Go to the <number> page.
.It control key
Display the page listing menu.
See below for details.
.It G
Enable/disable page guide.
See description for option
.Fl G
for details.
.It x
Enable/disable rakugaki (jotting) mode.
You can make an annotation (by mouse) on the presentation.
.It t
Enable/disable the timebar if -t timeslot option is specified.
.It control-L
Repaint the current page.
Use this if you messed up the page by jotting too much.
.It escape key
Quit the currently running
.Nm mgp .
"q" key also has the same effect.
.El
.Pp
During the presentation, you can see the page list at the bottom of the
window when you press a Control Key.
Choosing a page with the mouse and clicking it with the leftmost mouse button,
you can go to corresponding page directly.
Releasing the Control Key, the page list disappears and you can continue
with the current page.
This function is useful during the Q-and-A period after your presentation
completes.
.Sh PRESENTATION FILE
.Nm mgp
bollows various image draw functions from
.Nm xloadimage .
This means that the location of image files can be specified
by ~/.xloadimagerc file.
If you specify the presentation file with its directory, that directory
is searched first and then the path specified in the ~/.xloadimagerc is
searched.
.Pp
(more to be written)
.Sh AUTHOR CONTACT
Yoshifumi Nishida <nishida@sfc.wide.ad.jp>
.Sh CONTRIBUTION
Jun-ichiro Itoh <itojun@itojun.org>, Akira Kato <kato@wide.ad.jp>,
Atsushi Onoe <onoe@sm.sony.co.jp>, Kazu Yamamoto <kazu@mew.org>,
and Youjiro Uo <yuo@nui.org> extensively contributed improvements,
bug fixes, and documents.
.Sh HISTORY
.Nm mgp
was created shortly after the autumn camp of WIDE Project in 1997,
which was originally called
.Nm tp
(TinyPoint).
