/*
 * Copyright (C) 1997 WIDE Project.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *	This product includes software developed by WIDE Project and
 *	its contributors.
 * 4. Neither the name of the project nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE PROJECT AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE PROJECT OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */
/*
 * $Id: x11dummy.c,v 1.6 1997/12/22 16:53:49 itojun Exp $
 */

#include "mgp.h"

u_int window_x;
u_int window_y;

void
init_win1()
{
	if ((display = XOpenDisplay(NULL)) == NULL) {
		fprintf(stderr, "Can't open display\n");
		exit(-1);
	}
}

void
init_win2()
{
	XWindowAttributes xa;
	XSetWindowAttributes xsa;
	u_long mask = 0;

	XGetWindowAttributes(display, DefaultRootWindow(display), &xa);
	if (window_width == 0 || window_height == 0) {
		window_width = xa.width;
		window_height = xa.height;
	}

	window = XCreateSimpleWindow(display, RootWindow(display, 0),
		0, 0, 800, 600, 0, fore_color, back_color);

	pixmap  = XCreatePixmap(display, window,
		window_width, window_height, DefaultDepth(display, 0));
	xsa.override_redirect = True;
	mask |= CWOverrideRedirect;
	xsa.backing_store = Always;
	mask |= CWBackingStore;

	XChangeWindowAttributes(display, window, mask, &xsa);

	XFlush(display);
}

int
get_color(colorname, value)
	u_char *colorname;
	u_long *value;
{
	if (*value)
		*value = 0;
	return 0;	/*ok*/
}

struct g_color *
name2gcolor(colorname)
	u_char *colorname;
{
	Colormap cmap;
	XColor c0, c1;
	struct g_color *color;

	color = (struct g_color *) malloc (sizeof(struct g_color));
	cmap =  DefaultColormap(display, 0);

	if (XLookupColor(display, cmap, colorname, &c1, &c0)) {
		color->r = (c1.red   >> 8) & 0xff;
		color->g = (c1.green >> 8) & 0xff;
		color->b = (c1.blue  >> 8) & 0xff;
	} else
		fprintf(stderr,"color '%s' unknown. ignored.\n", colorname);

	return color;
}
